#!/bin/sh -ex

swift -frontend -c   -target armv7-unknown-linux-gnueabihf     -primary-file main.swift main.swift BlurrrMain.swift  -import-objc-header MySwiftBridgingHeader.h  -emit-module -module-name MyBlurrrProject -o main.swift.o

cc   -mcpu=cortex-a7 -mfpu=neon-vfpv4 -mfloat-abi=hard    -o MyCTypes.c.o   -c MyCTypes.c


# This is the line that trips the Swift compiler assertion
swift -frontend -c  -target armv7-unknown-linux-gnueabihf     -primary-file BlurrrMain.swift main.swift BlurrrMain.swift  -import-objc-header MySwiftBridgingHeader.h  -emit-module -module-name MyBlurrrProject -o BlurrrMain.swift.o


swiftc -target armv7-unknown-linux-gnueabihf    main.swift.o BlurrrMain.swift.o MyCTypes.c.o  -o MyBlurrrProject  -L/usr/lib/gcc/arm-linux-gnueabihf/4.9  /usr/lib/arm-linux-gnueabihf/libm.so -lc 



